Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.drools.planner.core.localsearch.decider.selector
Class TopListSelector

    java.lang.Object
      org.drools.planner.core.localsearch.decider.selector.AbstractSelector
          org.drools.planner.core.localsearch.decider.selector.TopListSelector

All Implemented Interfaces:
  DeciderAware, Selector, LocalSearchSolverLifecycleListener

    public class TopListSelector

extends AbstractSelector

Field Summary

Fields inherited from class org.drools.planner.core.localsearch.decider.selector.AbstractSelector
`decider, logger`

Constructor Summary
`TopListSelector()`

Method Summary
`Iterator<Move>` | `moveIterator(LocalSearchStepScope localSearchStepScope)`
`void` | `setTopSize(int topSize)`
`void` | `solvingStarted(LocalSearchSolverScope localSearchSolverScope)`
`void` | `stepTaken(LocalSearchStepScope localSearchStepScope)`

Methods inherited from class org.drools.planner.core.localsearch.decider.selector.AbstractSelector
`beforeDeciding, setDecider, solvingEnded, stepDecided`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TopListSelector

    public TopListSelector()

Method Detail

### setTopSize

    public void setTopSize(int topSize)

### solvingStarted

    public void solvingStarted(LocalSearchSolverScope localSearchSolverScope)

  Specified by:
    `solvingStarted` in interface `LocalSearchSolverLifecycleListener`
  Overrides:
    `solvingStarted` in class `AbstractSelector`

### moveIterator

    public Iterator<Move> moveIterator(LocalSearchStepScope localSearchStepScope)

### stepTaken

    public void stepTaken(LocalSearchStepScope localSearchStepScope)

  Specified by:
    `stepTaken` in interface `LocalSearchSolverLifecycleListener`
  Overrides:
    `stepTaken` in class `AbstractSelector`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2011 JBoss Inc.. All Rights Reserved.